{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine set_list_box_data\r\ndeclare function set_property, fieldcount\r\n$insert quote_spec_equ\r\n\r\nEpiInfo = field( CreateParam, char(244), 1 )\r\nTitle   = field( CreateParam, char(244), 2 )\r\nCurTitle = get_property( @window, 'TEXT' )\r\nCurTitle:= ' ':Title\r\nVoid = set_property( @window, 'TEXT', CurTitle )\r\nconvert @svm to @fm in EpiInfo ;* for the conc mv mess\r\nif EpiInfo = '' then \r\n   EpiInfo = @fm:@rm:@fm; * for conc mess\r\nend\r\nNumLayers = fieldcount( EpiInfo, char(248) )\r\n.same_reactor_layer_desc->text = '1 of ':NumLayers\r\nFirstLayer    = field( EpiInfo, char(248), 1 )\r\nVoid = set_property( @window, '@CurSameLayer', 1 )\r\nVoid = set_property( @window, '@EpiInfo', EpiInfo )\r\nVoid = set_property( @window, '@OrigEpiInfo', EpiInfo )\r\n\r\n* now load the EPI specific prompts\r\nControls = 'EPI_CONC_MIN_THICK/EPI_CONC_MAX_THICK/EPI_CONC_UNITS/'\r\nControls:= 'EPI_RES_MIN_THICK/EPI_RES_MAX_THICK/EPI_RES_UNITS/'\r\nControls:= 'EPI_MIN_THICK/EPI_MAX_THICK/EPI_THICK_UNITS/EPI_DOPANT/EPI_RECIPE_NO/EPI_RECIPE_NAME/'\r\nControls:= 'EPI_THICKMEASURE/EPI_RESMEASURE/EPI_CONMEASURE'\r\n* EPI_RECIPE_NO AND EPI_RECIPE_NAME ARE NOT USED ON SAME REACTOR LAYERS BUT THEY\r\n* ARE THERE AS TO KEEP THE POSITIONAL EQUATES THE SAME BETWEEN SAME AND SEPERATE REACTOR LAYERS\r\n* THEY ARE INVISIBLE FIELDS ON THIS WINDOW\r\nswap '/' with @rm:@window:'.' in Controls\r\nControls = @window:'.':Controls\r\nVoid = set_property( @window, '@EpiControls', Controls )\r\nEpiPromptCnt = fieldcount( Controls, @rm )\r\nVoid = set_property( @window, '@EpiPromptCnt', EpiPromptCnt )\r\nValueCnt = fieldcount( FirstLayer, @vm )\r\n* so set_property does not propagate\r\nif ValueCnt < EpiPromptCnt then\r\n   FirstLayer := str( @vm, EpiPromptCnt-ValueCnt-1 )\r\nend\r\n* ok\r\nconvert @vm to @rm in FirstLayer\r\nVoid = set_property( Controls, 'LIST':@rm:'LIST':@rm:'INVALUE', FirstLayer )\r\n\r\nset_list_box_data( @window )\r\nRETURN 0"
        }
    }
}